agency-board
POST /v1/agency/boards/{boardId}/webhook-deliveries/{deliveryId}/replay
Send the same payload again.
المصادقة
أرسل مفتاح واجهة برمجة التطبيقات (API) كرمز حامل (bearer token). لا يحدد نقطة النهاية هذه إذنًا محددًا في المواصفات، لذا امنح مفتاحك الحد الأدنى الذي محتاجه وتحقق من الاستجابة بدلاً من الافتراض.
لا يقبل هذا الطرف أي معرف للمؤسسة. يحدد مفتاحك بالفعل المؤسسة التي ينتمي إليها، وتكون الاستجابة محصورة في نطاقها.
جربه الآن
استبدل أي شيء بين أقواس زاوية بقيمك الخاصة، والعنصر النائب للمفتاح بمفتاح من لوحة تحكمك.
curl -X POST https://api.zinndigital.com/v1/agency/boards/{boardId}/webhook-deliveries/{deliveryId}/replay \
-H "Authorization: Bearer zdk_live_…"هل سجلت الدخول؟ تقوم وحدة تحكم واجهة برمجة التطبيقات في لوحة التحكم الخاصة بك بربط معرف مؤسستك الحقيقي ومفتاحك الخاص، وتنفذ الطلب مقابل واجهة برمجة التطبيقات المباشرة لتتمكن من رؤية الاستجابة الفعلية. افتح هذه النهاية الطرفية في وحدة تحكم API
التفاصيل
Re-sends the STORED bytes with a fresh timestamp and a fresh signature over those same bytes. Nothing is re-serialised — a different byte string would produce a signature the receiver cannot verify, which fails as *"your signatures are wrong"* on their side and is unfalsifiable from ours.
المعلمات
| الاسم | النوع | مطلوب | ما هو هذا |
|---|---|---|---|
boardId (path) | Uuid | نعم | Project board ID (UUIDv7). |
deliveryId (path) | Uuid | نعم | Webhook delivery ID (UUIDv7). |
الاستجابة
| الاسم | النوع | مطلوب | ما هو هذا |
|---|---|---|---|
id | Uuid | نعم | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
subscription_id | Uuid | نعم | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
event | string | نعم | — |
delivery_key | string | نعم | Sent as `X-Zinn-Delivery`, so the receiver can dedupe too. |
payload | object | لا | The body exactly as it was signed and sent. |
status | BoardWebhookDeliveryStatus | نعم | — |
attempts | integer | نعم | — |
response_status | integer | لا | — |
response_snippet | string | لا | The first 500 bytes your endpoint answered with. When it answered but sent no body, the status we observed; when we could not reach it, or the fault was ours, authored copy sayi… |
next_attempt_at | string | لا | — |
delivered_at | string | لا | — |
replay_of_id | Uuid | لا | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
created_at | string | نعم | — |
الأخطاء التي يمكن أن تُرجعها نقطة النهاية هذه
401 · 403 · 404